# Harbor

Container registry vm using Harbor.

## Upgrade

Just update the `harbor_installer_url` and `harbor_dest_file_name` in the `ansible/main/vars/harbor.yaml` file
and run the CI/CD Job. If something breaks, try to reboot the VM and run the CI again.

Check release notes before upgrade!  
If there is a new feature release, upgrade first to the latest minor release! Example:
```
2.5.3 -> 2.5.4
2.5.3 -> 2.6.X
```

## Requirements

`ansible/main/vars/secret.yaml` should be created from the example.

## Running

Terraform
```
cd terraform
./bootstrap.sh
terraform apply
```

Ansible
```
cd ansible
./bootstrap.sh
ansible-playbook main/base.yaml
```

## Terraform

`/terraform` folder contains a configuration
which creates the vm with basic networking.

## Ansible

`/ansible`:  
After the vm is created you can simply
install all the necessary configurations
with `ansible-playbook harbor/base.yaml`.
(cd into the folder and run `./bootstrap.sh`)

## Harbor configuration

The playbook handles everything and auto start
harbor. 
If you want to change the configuration 
refer to the `ansible/main/templates/home/user/harbor/harbor.yml` file

## LDAP

| Auth mode               | LDAP                                                                |
|-------------------------|---------------------------------------------------------------------|
| LDAP_URL                | ldaps://dc.sch.bme.hu                                               |
| LDAP Search DN          | (Search user)                                                       |
| LDAP Search Password    | (Search user pw)                                                    |
| LDAP Base DN            | dc=sch,dc=bme,dc=hu                                                 |
| LDAP Filter             | (by default it uses the LDAP UID, so it isn't needed)               |
| LDAP UID                | sAMAccountName                                                      |
| LDAP Scope              | Subtree (Find _kisnyul and SCHAccounts)                             |
| LDAP Group Base DN      | - (It uses member field in user which is not available in our LDAP) |
| LDAP Group Filter       | -                                                                   |
| LDAP Group GID          | -                                                                   |
| LDAP Group Admin DN     | -                                                                   |
| LDAP Group Membership   | -                                                                   |
| LDAP Scope              | Subtree                                                             |
| LDAP Verify Certificate | yes                                                                 |

