# Everything that is used for configuration

terraform {
  required_providers {
    harbor = {
      source  = "BESTSELLER/harbor"
      version = "3.4.4"
    }
  }
  backend "http" {
  }
}

# Credentials are set by sourcing the secret/login.sh file
variable "harbor_user" {
  description = "Administrator user"
  type        = string
  sensitive   = false
  default     = "required"
}

variable "harbor_password" {
  description = "Administrator password"
  type        = string
  sensitive   = true
  default     = "required"
}


provider "harbor" {
  url      = "https://harbor.sch.bme.hu"
  username = var.harbor_user
  password = var.harbor_password
}
