# Main configuration for our project.

# Project used by @arcter for private projects
resource "harbor_project" "private-arcter" {
  name          = "private-arcter"
  storage_quota = 1
}

resource "harbor_project_member_group" "private-arcter" {
  project_id    = harbor_project.private-arcter.id
  group_name    = "K8S_NAMESPACE_private-arcter"
  role          = "projectadmin"
  type          = "oidc"
  ldap_group_dn = "cn=k8s_namespace_private-arcter,ou=permissions,ou=kubernetes,ou=sysadmin,ou=körök,ou=kollégiumi számítástechnikai kör,ou=reszortok,ou=reszortvezetők tanácsa,dc=sch,dc=bme,dc=hu"
}

# Project used by @arcter for private projects
resource "harbor_project" "priv-schreddit" {
  name          = "priv-schreddit"
  storage_quota = 2
}

resource "harbor_project_member_group" "priv-schreddit" {
  project_id    = harbor_project.priv-schreddit.id
  group_name    = "K8S_NAMESPACE_priv-schreddit"
  role          = "projectadmin"
  type          = "oidc"
  ldap_group_dn = "cn=k8s_namespace_priv-schreddit,ou=permissions,ou=kubernetes,ou=sysadmin,ou=körök,ou=kollégiumi számítástechnikai kör,ou=reszortok,ou=reszortvezetők tanácsa,dc=sch,dc=bme,dc=hu"
}

# Project used by @blintmester and kszk for the becskasszasch
resource "harbor_project" "kszk-becskasszasch" {
  name          = "kszk-becskasszasch"
  storage_quota = 3
}

resource "harbor_project_member_group" "kszk-becskasszasch" {
  project_id    = harbor_project.kszk-becskasszasch.id
  group_name    = "K8S_NAMESPACE_kszk-becskasszasch"
  role          = "projectadmin"
  type          = "oidc"
  ldap_group_dn = "cn=k8s_namespace_kszk-becskasszasch-prod,ou=permissions,ou=kubernetes,ou=sysadmin,ou=körök,ou=kollégiumi számítástechnikai kör,ou=reszortok,ou=reszortvezetők tanácsa,dc=sch,dc=bme,dc=hu"
}

# Project used by SVK for hosting the Meetup website
resource "harbor_project" "org-meetup" {
  name          = "org-meetup"
  storage_quota = 3
}

resource "harbor_project_member_group" "org-meetup" {
  project_id    = harbor_project.org-meetup.id
  group_name    = "K8S_NAMESPACE_org-meetup"
  role          = "projectadmin"
  type          = "oidc"
  ldap_group_dn = "cn=k8s_namespace_org-meetup,ou=permissions,ou=kubernetes,ou=sysadmin,ou=körök,ou=kollégiumi számítástechnikai kör,ou=reszortok,ou=reszortvezetők tanácsa,dc=sch,dc=bme,dc=hu"
}

# Project for SVK
resource "harbor_project" "org-svk" {
  name          = "org-svk"
  storage_quota = 3
}

resource "harbor_project_member_group" "org-svk" {
  project_id    = harbor_project.org-svk.id
  group_name    = "K8S_NAMESPACE_org-svk"
  role          = "projectadmin"
  type          = "oidc"
  ldap_group_dn = "cn=k8s_namespace_org-svk,ou=permissions,ou=kubernetes,ou=sysadmin,ou=körök,ou=kollégiumi számítástechnikai kör,ou=reszortok,ou=reszortvezetők tanácsa,dc=sch,dc=bme,dc=hu"
}
