data "vsphere_datacenter" "dc" {
  name = "SCH"
}

data "vsphere_compute_cluster" "SCH-01" {
  name          = "SCH-01"
  datacenter_id = data.vsphere_datacenter.dc.id
}

data "vsphere_resource_pool" "kubernetes" {
  name          = "Kubernetes"
  datacenter_id = data.vsphere_datacenter.dc.id
}

# * Templates

data "vsphere_virtual_machine" "ubuntu2004-cloud-init" {
  name          = "ubuntu2004-cloud-init"
  datacenter_id = data.vsphere_datacenter.dc.id
}

# * Datastores

data "vsphere_datastore_cluster" "SCH-Cluster-FujiStorage" {
  name          = "SCH-Cluster-FujiStorage"
  datacenter_id = data.vsphere_datacenter.dc.id
}

data "vsphere_datastore" "Memory-Blitzkrieg" {
  name          = "Memory-Blitzkrieg"
  datacenter_id = data.vsphere_datacenter.dc.id
}

data "vsphere_datastore" "Memory-Storage" {
  name          = "Memory-Storage"
  datacenter_id = data.vsphere_datacenter.dc.id
}

data "vsphere_datastore" "N1_SSD-01" {
  name          = "N1_SSD-01"
  datacenter_id = data.vsphere_datacenter.dc.id
}
data "vsphere_datastore" "N2_SSD-01" {
  name          = "N2_SSD-01"
  datacenter_id = data.vsphere_datacenter.dc.id
}
data "vsphere_datastore" "N3_SSD-01" {
  name          = "N3_SSD-01"
  datacenter_id = data.vsphere_datacenter.dc.id
}
data "vsphere_datastore" "N4_SSD-01" {
  name          = "N4_SSD-01"
  datacenter_id = data.vsphere_datacenter.dc.id
}

# * Network

data "vsphere_network" "dvPG-208-Szerver" {
  name          = "dvPG-208-Szerver"
  datacenter_id = data.vsphere_datacenter.dc.id
}
